org.apache.fop.afp.modca

## Class AbstractDescriptor

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.AbstractStructuredObject
    - - org.apache.fop.afp.modca.AbstractTripletStructuredObject
      - - org.apache.fop.afp.modca.AbstractDescriptor

All Implemented Interfaces:
  Streamable

Direct Known Subclasses:
  ContainerDataDescriptor, GraphicsDataDescriptor, ImageDataDescriptor, ObjectAreaDescriptor, PageDescriptor, PresentationTextDescriptor

    public abstract class AbstractDescriptor
    extends AbstractTripletStructuredObject

Base class for AFP descriptor objects

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`AbstractAFPObject.Category, AbstractAFPObject.Type`

### Field Summary

Fields
`protected int` `height` height of this descriptor
`protected int` `heightRes` height resolution of this descriptor
`protected int` `width` width of this descriptor
`protected int` `widthRes` width resolution of this descriptor

### Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

`triplets`

### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`LOG, SF_CLASS, SF_HEADER_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDescriptor()` Default constructor
`AbstractDescriptor(int width, int height, int widthRes, int heightRes)` Constructor a PresentationTextDescriptor for the specified width and height.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHeight()` Returns the height
`int` `getWidth()` Returns the width
`String` `toString()`

### Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

### Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject

`writeContent, writeEnd, writeStart, writeToStream`

### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`copySF, copySF, truncate, writeChunksToStream, writeObjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### width

    protected int width

width of this descriptor

#### height

    protected int height

height of this descriptor

#### widthRes

    protected int widthRes

width resolution of this descriptor

#### heightRes

    protected int heightRes

height resolution of this descriptor

### Constructor Detail

#### AbstractDescriptor

    public AbstractDescriptor()

Default constructor

#### AbstractDescriptor

    public AbstractDescriptor(int width,
                              int height,
                              int widthRes,
                              int heightRes)

Constructor a PresentationTextDescriptor for the specified width and height.

Parameters:
  `width` - The width of the page.
  `height` - The height of the page.
  `widthRes` - The width resolution of the page.
  `heightRes` - The height resolution of the page.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getWidth

    public int getWidth()

Returns the width

Returns:
  the width

#### getHeight

    public int getHeight()

Returns the height

Returns:
  the height